View Issue Details

IDProjectCategoryView StatusLast Update
0033473FPCFCLpublic2018-07-25 20:59
ReporterAfrican Wild DogAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.4Product Build 
Target Version3.2.0Fixed in Version3.1.1 
Summary0033473: [FCL-WEB] Html actions is not working in Html Modules
DescriptionHTML content actions are not used by the TCustomHTMLModule. If you have a module called "mymodule" and an action called "myaction", when you access the address "/mymodule/myaction", the event OnGetContent of the WebModule is always executed but, the OnGetContent event of the action is never executed.

Note: the proposed fix added in rev. 38401 is not working. The content generated by the actions are never sent to the client.
Steps To ReproduceExecute the attached project. In the browser go to the address: "http://localhost:8080/mymodule/myaction". You will get the error: "Web request was not handled by actions".
TagsNo tags attached.
Fixed in Revision38585
FPCOldBugId
FPCTarget
Attached Files

Activities

African Wild Dog

2018-03-20 23:32

reporter  

html_action.zip (3,601 bytes)

Michael Van Canneyt

2018-03-21 11:23

administrator   ~0107314

Fixed, thanks for reporting.

Issue History

Date Modified Username Field Change
2018-03-20 23:32 African Wild Dog New Issue
2018-03-20 23:32 African Wild Dog File Added: html_action.zip
2018-03-20 23:36 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-03-20 23:36 Michael Van Canneyt Status new => assigned
2018-03-21 11:23 Michael Van Canneyt Fixed in Revision => 38585
2018-03-21 11:23 Michael Van Canneyt Note Added: 0107314
2018-03-21 11:23 Michael Van Canneyt Status assigned => resolved
2018-03-21 11:23 Michael Van Canneyt Fixed in Version => 3.1.1
2018-03-21 11:23 Michael Van Canneyt Resolution open => fixed
2018-03-21 11:23 Michael Van Canneyt Target Version => 3.2.0
2018-07-25 20:59 African Wild Dog Status resolved => closed